package com.zt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zt.dto.CouponDto;
import com.zt.enums.CodeEnums;
import com.zt.pojo.Coupon;
import com.zt.service.CouponService;
import com.zt.mapper.CouponMapper;
import com.zt.vo.Result;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

/**
* @author H
* @description 针对表【coupon】的数据库操作Service实现
* @createDate 2025-05-10 10:31:06
*/
@Service
public class CouponServiceImpl extends ServiceImpl<CouponMapper, Coupon>
    implements CouponService{


    @Override
    public Result add(CouponDto couponDto) {
        Coupon coupon = new Coupon();
        BeanUtils.copyProperties(couponDto,coupon);
        this.save(coupon);
        return Result.ok(CodeEnums.EXECUTION_SUCCESSFUL);
    }
}




