package com.zt.enums;

public enum CodeEnums {
    EXECUTION_SUCCESSFUL(200, "操作成功"),
    WRONG_USERNAME_OR_PASSWORD(401, "用户名或密码错误"),
    EXECUTION_FAILED(400,"操作失败");
    private int code;
    private String msg;

    CodeEnums(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
