package com.zt.controller;

import com.zt.dto.LoginDto;
import com.zt.enums.CodeEnums;
import com.zt.pojo.UserLogin;
import com.zt.service.UserLoginService;
import com.zt.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("user")
public class LoginController {
    @Autowired
    UserLoginService loginService;
    @RequestMapping("login")
    public Result login(@RequestBody LoginDto loginDto){
        return loginService.login(loginDto);
    }
}
